<?php

/* DCMS Special
 * Дата последнего редактирования 02.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();

$doc->Title('Настройки');

require_once H . 'sys/inc/thead.php';

aut();
err();

if (isset($_POST['submited'])) {
    if (in_array($_POST['access'], array('all', 'only_me', 'friends', 'pass'))) {
        $access = $_POST['access'];
    } else {
        $access = 'all';
    }
    if ($access == 'pass') {
        if (utf8_strlen($_POST['password']) < 1) {
            $err[] = lang('Введите пароль');
        }
        if (utf8_strlen($_POST['password']) > 16) {
            $err[] = lang('Пароль слишком длинный');
        }
        $password = $_POST['password'];
    } else {
        $password = NULL;
    }
    if (!isset($err)) {
        mysql_query("UPDATE `user` SET `friends_access` = '$access', `friends_password` = '" . mysql_real_escape_string($password) . "' WHERE `id` = '$user[id]'");
        $_SESSION['message'] = lang('Изменения сохранены');
        header("Location: /user/friends/");
    }

    $user['friendship'] = (isset($_POST['friendship']) && $_POST['friendship']) ? '1' : '0';
    mysql_query("UPDATE `user` SET `friendship` = '" . mysql_real_escape_string($user['friendship']) . "' WHERE `id` = '$user[id]' LIMIT 1");
    exit();
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/id$user[id]'>$user[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/user/friends/index.php?id=$user[id]'>" . lang('Друзья') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Настройки');
echo "</small></div><br />";

echo "<form class = 'list-group-item-null' action = '' method = 'post'>";
echo "<b>" . lang('Кому доступен список Ваших друзей') . "?</b><br />";
$doc->Radio('access', 'Всем', 'all', "" . ($user['friends_access'] == 'all' ? " checked='checked'" : null) . "", 'globe');
$doc->Radio('access', 'Только мне', 'only_me', "" . ($user['friends_access'] == 'only_me' ? " checked='checked'" : null) . "", 'lock');
$doc->Radio('access', 'Только друзьям', 'friends', "" . ($user['friends_access'] == 'friends' ? " checked='checked'" : null) . "", 'users');
$doc->Radio('access', 'Только по паролю', 'pass', "" . ($user['friends_access'] == 'pass' ? " checked='checked'" : null) . "", 'key');

$doc->Input('password', 'Пароль', 16, "" . htmlspecialchars($user['friends_password']) . "");
echo "<br />";
echo "<label class='custom-control custom-checkbox'><input name='friendship' type='checkbox' value='1' " . ($user['friendship'] ? " checked='checked'" : null) . " class='custom-control-input'><span class='custom-control-indicator'></span> <span class='custom-control-description'>" . lang('Запретить предлогать мне дружбу') . "</span></label><br />";
echo "<br />";
$doc->Button('btn btn-success btn-sm', 'submited', 'save', 'Сохранить');

echo "</form>";

require_once H . 'sys/inc/tfoot.php';
